source: gnome/add/evolution-data-server.xml@ 294d670

10.0 10.1 11.0 11.1 11.2 6.2 6.2.0 6.2.0-rc1 6.2.0-rc2 6.3 6.3-rc1 6.3-rc2 6.3-rc3 7.10 7.4 7.5 7.6 7.6-blfs 7.6-systemd 7.7 7.8 7.9 8.0 8.1 8.2 8.3 8.4 9.0 9.1 basic bdubbs/svn elogind gnome kde5-13430 kde5-14269 kde5-14686 krejzi/svn lazarus nosym perl-modules plabs/python-mods qt5new systemd-11177 systemd-13485 trunk upgradedb xry111/intltool xry111/soup3 xry111/test-20220226
Last change on this file since 294d670 was 294d670, checked in by Randy McMurchy <randy@…>, 16 years ago

Updated the GNOME2 additional libraries instructions to conform with the GNOME-2.14.2 update. This leaves the GNOME2 Accessibility and Additional Utility packages to update

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@6188 af4574ff-66df-0310-9fd7-8a98e5e911e0

  • Property mode set to 100644
File size: 9.0 KB
Line 
1<?xml version="1.0" encoding="ISO-8859-1"?>
2<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
3 "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
4 <!ENTITY % general-entities SYSTEM "../../general.ent">
5 %general-entities;
6
7 <!ENTITY evolution-data-server-download-http "&gnome-download-http;/evolution-data-server/1.6/evolution-data-server-&evolution-data-server-version;.tar.bz2">
8 <!ENTITY evolution-data-server-download-ftp "&gnome-download-ftp;/evolution-data-server/1.6/evolution-data-server-&evolution-data-server-version;.tar.bz2">
9 <!ENTITY evolution-data-server-md5sum "165f493eec8a2c8fc6eca3fdeb8c4885">
10 <!ENTITY evolution-data-server-size "7.1 MB">
11 <!ENTITY evolution-data-server-buildsize "178 MB">
12 <!ENTITY evolution-data-server-time "3.5 SBU (additional 0.5 SBU to run the test suite)">
13]>
14
15<sect1 id="evolution-data-server"
16xreflabel="Evolution Data Server-&evolution-data-server-version;">
17 <?dbhtml filename="evolution-data-server.html"?>
18
19 <sect1info>
20 <othername>$LastChangedBy$</othername>
21 <date>$Date$</date>
22 </sect1info>
23
24 <title>Evolution Data Server-&evolution-data-server-version;</title>
25
26 <indexterm zone="evolution-data-server">
27 <primary sortas="a-Evolution-Data-Server">Evolution Data Server</primary>
28 </indexterm>
29
30 <sect2 role="package">
31 <title>Introduction to Evolution Data Server</title>
32
33 <para>The <application>Evolution Data Server</application> package provides
34 a unified backend for programs that work with contacts, tasks, and calendar
35 information. It was originally developed for
36 <application>Evolution</application> (hence the name), but is now used by
37 other packages as well.</para>
38
39 <bridgehead renderas="sect3">Package Information</bridgehead>
40 <itemizedlist spacing="compact">
41 <listitem>
42 <para>Download (HTTP): <ulink url="&evolution-data-server-download-http;"/></para>
43 </listitem>
44 <listitem>
45 <para>Download (FTP): <ulink url="&evolution-data-server-download-ftp;"/></para>
46 </listitem>
47 <listitem>
48 <para>Download MD5 sum: &evolution-data-server-md5sum;</para>
49 </listitem>
50 <listitem>
51 <para>Download size: &evolution-data-server-size;</para>
52 </listitem>
53 <listitem>
54 <para>Estimated disk space required: &evolution-data-server-buildsize;</para>
55 </listitem>
56 <listitem>
57 <para>Estimated build time: &evolution-data-server-time;</para>
58 </listitem>
59 </itemizedlist>
60
61 <bridgehead renderas="sect3">Evolution Data Server Dependencies</bridgehead>
62
63 <bridgehead renderas="sect4">Required</bridgehead>
64 <para role="required"><xref linkend="libgnomeui"/> and
65 <xref linkend="libsoup"/></para>
66
67 <bridgehead renderas="sect4">Recommended
68 (For SSL and S/MIME support)</bridgehead>
69 <para role="recommended"><xref linkend="nss"/></para>
70
71 <para>The <application>NSS</application> package is not required if you
72 have <xref linkend="firefox"/>, <xref linkend="thunderbird"/>,
73 <xref linkend="seamonkey"/> or
74 <ulink url="http://www.mozilla.org/products/mozilla1.x/">Mozilla</ulink>
75 installed. These packages contain internal copies of
76 <application>NSS</application> (or they used a system-installed copy).
77 If any of the four packages are installed, one way or another you will
78 already have NSS/NSPR libraries on your system.</para>
79
80
81 <bridgehead renderas="sect4">Optional</bridgehead>
82 <para role="optional"><xref linkend="openldap"/>,
83 an <xref linkend="server-mail"/> (that provides a
84 <command>sendmail</command> command),
85 <xref linkend="heimdal"/> or <xref linkend="mitkrb"/>,
86 <ulink url="http://www.pdc.kth.se/kth-krb/">krb4</ulink>,
87 <xref linkend="gtk-doc"/>, and
88 <xref linkend="docbook-utils"/></para>
89
90 <para condition="html" role="usernotes">User Notes:
91 <ulink url="&blfs-wiki;/evolution-data-server"/></para>
92
93 </sect2>
94
95 <sect2 role="installation">
96 <title>Installation of Evolution Data Server</title>
97
98 <para>Install <application>Evolution Data Server</application> by running
99 the following commands:</para>
100
101 <note>
102 <para>The instructions below assume you have the NSS/NSPR libraries
103 installed on your system. If you elected not to install
104 <application>NSS</application> (or one of the other packages mentioned
105 above), you'll need to remove the following two parameter settings from
106 the <command>configure</command> command below:</para>
107
108 <literallayout><parameter> --enable-nss
109 --enable-smime</parameter></literallayout>
110
111 <para>The <application>Evolution</application>
112 <command>configure</command> script only looks for the stand-alone
113 <application>NSS</application> package and the
114 <application>Mozilla</application> and
115 <application>Firefox</application> browsers for the NSS/NSPR libraries.
116 If you are using <application>Thunderbird</application> as your source
117 for the NSS/NSPR libraries, you will have to add the following two
118 parameter settings to the <command>configure</command> command
119 below:</para>
120
121 <literallayout><parameter> --with-nspr-includes=/usr/include/nspr
122 --with-nss-includes=/usr/include/nss</parameter></literallayout>
123 </note>
124
125<screen><userinput>./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) \
126 --libexecdir=$(pkg-config --variable=prefix \
127 ORBit-2.0)/lib/evolution-data-server-1.2 \
128 --enable-nntp \
129 --enable-nss \
130 --enable-smime &amp;&amp;
131make</userinput></screen>
132
133 <para>To test the results, issue: <command>make -k check</command>. At
134 least one test is known to fail and 18 are known to pass.</para>
135
136 <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
137
138<screen role="root"><userinput>make install</userinput></screen>
139
140 </sect2>
141
142 <sect2 role="commands">
143 <title>Command Explanations</title>
144
145 <para><parameter>--libexecdir=$(pkg-config --variable=prefix
146 ORBit-2.0)/lib/evolution-data-server-1.2</parameter>: This switch puts
147 libexec files in <filename
148 class="directory">$GNOME_PREFIX/lib/evolution-data-server-1.2</filename>
149 instead of <filename
150 class="directory">$GNOME_PREFIX/libexec</filename>.</para>
151
152 <para><parameter>--enable-nntp</parameter>: This parameter is used to build
153 the Usenet news (NNTP) backend.</para>
154
155 <para><parameter>--enable-nss</parameter>: This parameter is used to pull
156 in the Mozilla Network Security Services libraries for SSL support.</para>
157
158 <para><parameter>--enable-smime</parameter>: This parameter is used to pull
159 in the Mozilla Network Security Services libraries for S/MIME
160 support.</para>
161
162 <!--
163 <para><parameter>-with-{nspr,nss}-includes</parameter>: This parameter is
164 used to identify where the Mozilla Network Security Services interface
165 headers are located. By default,
166 <application>Evolution Data Server</application> uses
167 <filename>mozilla-{nss,nspr}.pc</filename> files to locate the headers
168 and chances are you will not have <application>Mozilla</application>
169 installed.</para>
170 -->
171
172 <note>
173 <para>To enable many of the optional dependencies, review the information
174 from <command>./configure --help</command> for the necessary parameters
175 you must pass to the <command>configure</command> script.</para>
176 </note>
177
178 </sect2>
179
180 <sect2 role="content">
181 <title>Contents</title>
182
183 <segmentedlist>
184 <segtitle>Installed Programs</segtitle>
185 <segtitle>Installed Libraries</segtitle>
186 <segtitle>Installed Directories</segtitle>
187
188 <seglistitem>
189 <seg>None</seg>
190 <seg>libcamel-1.2.so, libcamel-provider-1.2.so, libebook-1.2.so,
191 libecal-1.2.so, libedata-book-1.2.so, libedata-cal-1.2.so,
192 libedataserver-1.2.so, libedataserverui-1.2.so, libegroupwise-1.2.so,
193 libexchange-storage-1.2.so and numerous provider and extension
194 modules.</seg>
195 <seg>The following subdirectories of $GNOME_PREFIX/:
196 include/evolution-data-server-1.6,
197 lib/evolution-data-server-1.2,
198 share/{evolution-data-server-1.6,
199 gtk-doc/html/libe{book,cal,data{,server}},
200 idl/evolution-data-server-1.2,
201 pixmaps/evolution-data-server-1.6}</seg>
202 </seglistitem>
203 </segmentedlist>
204
205 <variablelist>
206 <bridgehead renderas="sect3">Short Descriptions</bridgehead>
207 <?dbfo list-presentation="list"?>
208 <?dbhtml list-presentation="table"?>
209
210 <varlistentry id="libe.so">
211 <term><filename class='libraryfile'>libe*.so</filename></term>
212 <listitem>
213 <para>libraries are client, backend and utility libraries for the
214 <application>Evolution</application> address books, calendar and data
215 servers.</para>
216 <indexterm zone="evolution-data-server libe.so">
217 <primary sortas="c-libe.so">libe*.so</primary>
218 </indexterm>
219 </listitem>
220 </varlistentry>
221
222 </variablelist>
223
224 </sect2>
225
226</sect1>
Note: See TracBrowser for help on using the repository browser.